Error when loading the SDK:发现了以元素 'd:skin' 开头的无效内容。此处不应含有子元素。错误处理记录

更新了Android SDK之后,打开Eclipse就弹出错误提示:
[2017-01-03 14:21:15 - Android SDK] Error when loading the SDK:

Error: Error parsing I:\Work\IDE\android_eclipse_jee_mars_2_64_utf8\sdk\system-images\android-25\android-wear\armeabi-v7a\devices.xml
cvc-complex-type.2.4.d: 发现了以元素 'd:skin' 开头的无效内容。此处不应含有子元素。

刚开始鼓捣Android,只能大概猜是 SDK里面25的版本中android-wear下的devices.xml有问题,但不知道怎么处理。
不过有万能的度娘,经过一阵搜索比较后找到了有效的解决方案:

方案一(笔者用的是这个):
           用sdk\tools\lib下的devices.xml 替换掉出错的devices.xml,然后重新启动eclipse。

方案二(不推荐,SDK会缺斤短两,Android-wear是可穿戴设备支持包):
         删除出错文件夹android-wear及其子文件。
阅读更多
版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/u012332990/article/details/53994099
下一篇Notepad++插件安装
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

关闭
关闭